<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$set['title']='Моя лента';
include_once 'sys/inc/thead.php';
title();

if(isset($_GET['del']))
{
if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id` = '".intval($_GET['del'])."'"),0)==1) {
$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `lenta` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1"));
mysql_query("DELETE FROM `lenta` WHERE `id` = '$post[id]'");
}}
## конец
mysql_query("UPDATE `lenta` SET `read` = '1' WHERE `id_kont` = '".$user['id']."' AND `read` = '0'");
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id_kont` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет новых событий!</div>
<?
}

$q=mysql_query("SELECT * FROM `lenta` WHERE `id_kont` = '".$user['id']."' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]'"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($ank['id'])." ";

echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
echo "".medal($ank['id'])." ";
echo "(".vremja($post['time']).")<br />\n";

echo ''.output_text($post['msg']).'<br />';
echo "<a href='?del=$post[id]' title='Удалить'>Удалить</a><br />\n";
echo '</div>';
}


if($k_page>1){
str("?id=".$user['id']."&amp;",$k_page,$page);
}

include_once 'sys/inc/tfoot.php';
?>